#! /bin/sh /usr/share/dpatch/dpatch-run
## 450-pairmove-set-operator.dpatch by  <joe@debian09>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

@DPATCH@
diff -urNad freeradius-server~/src/lib/valuepair.c freeradius-server/src/lib/valuepair.c
--- freeradius-server~/src/lib/valuepair.c	2009-09-23 09:40:54.000000000 -0400
+++ freeradius-server/src/lib/valuepair.c	2009-09-24 18:16:41.000000000 -0400
@@ -542,6 +542,7 @@
 					 *	here, so instead we over-write
 					 *	the vp that it's pointing to.
 					 */
+					i->operator = T_OP_EQ;
 					memcpy(found, i, sizeof(*found));
 					found->next = mynext;
 
@@ -563,6 +564,7 @@
 			   *  if similar ones already exist.
 			   */
 			default:
+				i->operator = T_OP_EQ;
 			case T_OP_ADD: /* += */
 				break;
 			}
diff -urNad freeradius-server~/src/main/valuepair.c freeradius-server/src/main/valuepair.c
--- freeradius-server~/src/main/valuepair.c	2009-09-24 18:10:49.000000000 -0400
+++ freeradius-server/src/main/valuepair.c	2009-09-24 18:16:51.000000000 -0400
@@ -795,6 +795,7 @@
 				VALUE_PAIR *vp;
 
 				vp = found->next;
+				i->operator = T_OP_EQ;
 				memcpy(found, i, sizeof(*found));
 				found->next = vp;
 				continue;
@@ -814,6 +815,7 @@
 			 */
 		default:
 		case T_OP_ADD:		/* += */
+			i->operator = T_OP_EQ;
 			break;
 		}
 
